VARKON Version 1.18 2006-11-07

> ## cur_comp - Geometric procedure

> Creates a curve
> Description
> Creates a curve by copying one or many lines, arcs or curves into a new "composite" curve. Cur_comp requires that the entities used to create the new curve are connected in the order they are specified. The first entity must be connected in either end to an end the second entity and the other end of the second entity must be connected to either end of the third entity and so on. Entities may be connected start-to-end or end-to-end or end-to-start or start-to-start (any of the 4 possible ways). Varkon automatically reverses all entities with the wrong sense of direction so that the parametrisation of the resulting new curve becomes continous. Continuity in slope (tangent direction) is not required.
> Syntax
> cur_comp(id, ref1, ref2,...refn:attributes);

> REF | id;
> REF | ref1;
> REF | ref2;
> REF | refn;

> Principal parameters

> id | - Local identity
> ref1 | - Identity of line, arc or curve

> Optional parameters

> ref2 | - Identity of second line, arc or curve
> refn | - Identity of last line, arc or curve

> Attributes

> PEN | - Pen or colour number
> LEVEL | - Level number
> BLANK | - Visible(0) or invisible(1)
> CFONT | - Solid(0), dashed(1) or centerline(2)
> CDASHL | - Dashlength
> WIDTH | - Linewidth

> Example
> cur_comp(#5,#4,#3,#2);
> Combines #4, #3 and #2 into a new curve #5.
> cur_comp(#2,#1);
> Creates a new curve #2 equal to #1.
> Comments
> If lines or arcs are used in a cur_comp they will be converted to curve segments. One segment for a line and maximum four segments for an arc.
> Notes about NURBS curves
> If one or more of the input entities are NURBS curves, the resulting composite curve will be a NURBS curve, otherwise it will be a curve represented by cubic segments.
> If a NURBS curve is to be created, lines, arcs and cubic segments are first converted to 3rd degree NURBS segments without approximation. The degree of the composite curve will then use the highest degree found in the input entities. Degree elevation (not implemented yet) is done without approximation.
> For a NURBS composite curve it is not allowed to mix UV and non UV segments. All UV segments must belong to the same surface. This is due to the fact that the resulting NURBS curve will have one set of control points and weights and theese must "live" in the same space i.e. R3-space or the UV-space of one surface. If any of the input curves is an offset curve, all other input entities must also be offset curves with the same offset value.

VARKON Homepage | Index